=== src/CMakeLists.txt ===
set(INC_DIRECTORIES
    ${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	CACHE INTERNAL "Additional include directories" FORCE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/aichatassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/aiquerystoragemodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.h
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanagerinterface.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.h
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.h
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.h
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.h
    ${CMAKE_CURRENT_SOURCE_DIR}/git.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/help.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/modifiedQObject.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mostQtHeaders.h
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.h
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/session.h
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.h
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.h
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.h
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.h
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.h
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.h
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.h
	CACHE INTERNAL "Header files" FORCE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/additionaltranslations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/aichatassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/aiquerystoragemodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/git.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/help.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/session.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.cpp
	${CMAKE_BINARY_DIR}/git_revision.cpp
	CACHE INTERNAL "Source files" FORCE
)

set(FORM_FILES ${FORM_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.ui
	CACHE INTERNAL "Source files" FORCE
)
