=== debian/changelog ===
texstudio (4.8.6+ds-1ubuntu1) plucky; urgency=medium

  * Build depend on libqtermwidget6-2-dev for QTermWidget.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Mar 2025 13:45:21 -0500

texstudio (4.8.6+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.6+ds.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Mon, 10 Feb 2025 07:21:30 +0100
