## texstudio 4.8.7+ds

=== src/debug/CMakeLists.txt ===
set(INC_DIRECTORIES
    ${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/debughelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/debuglogger.h
	PARENT_SCOPE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/debughelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/debuglogger.cpp
	PARENT_SCOPE
)
