=== debian/changelog ===
texstudio (4.8.7+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.7+ds.
  * Regenerating adwaita-qt.patch.
  * Regenerating qtermwidget6.patch.
  * Removing no longer needed usr-prefix.patch.
  * Renumbering patches.
  * Updating to standards version 4.7.2, no changes needed.
  * Updating fsf address and url in copyright file.
  * Updating location of html documentation in texstudio-doc.install file
    after upstream change.
  * Updating location of files to be removed in rules file after upstream
    changes.
  * Simplifying texstudio-doc.install file.
  * Removing unused empty directory _sources from debian/tmp in rules
    file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 03 May 2025 22:39:16 +0200
