=== debian/rules ===
--- 
+++ 
@@ -36,10 +36,9 @@
 	debian/tmp/usr/share/metainfo/org.texstudio.TeXstudio.metainfo.xml
 
 	# removing useless files
-	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
-	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.md
-	rm -f debian/tmp/usr/share/texstudio/COPYING
-	rm -f debian/tmp/usr/share/texstudio/AUTHORS
+	rm -f debian/tmp/usr/share/doc/texstudio/CHANGELOG.md
+	rm -f debian/tmp/usr/share/doc/texstudio/COPYING
+	rm -f debian/tmp/usr/share/doc/texstudio/AUTHORS
 
 	# removing static files included in Debian package furo
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/scripts/*.js
@@ -49,13 +48,16 @@
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/tabs.*
 
 	# removing static files not used in the documentation
-	rm -rf debian/tmp/usr/share/texstudio/_sphinx_design_static
+	rm -rf debian/tmp/usr/share/doc/texstudio/_sphinx_design_static
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/basic.css
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/debug.css
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/skeleton.css
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/file.png
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/minus.png
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/plus.png
+
+	# removing useless empty directory
+	rm -rf debian/tmp/usr/share/doc/texstudio/_sources
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vbuilt:Using="$(shell dpkg-query \
