=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: texstudio
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tom Jampen <tom@cryptography.ch>
+Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
  cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
  libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt6-dev,
- libquazip1-qt6-dev, libqtermwidget6-2-dev, libxkbcommon-dev, pkgconf,
+ libquazip1-qt6-dev, libqtermwidget-dev, libxkbcommon-dev, pkgconf,
  python3-myst-parser, python3-sphinx, python3-sphinx-design,
  python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qt6-base-dev,
  qt6-declarative-dev, qt6-l10n-tools, qt6-multimedia-dev, qt6-svg-dev,
  qt6-tools-dev, zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://texstudio.org/
